Package org.optaplanner.core.impl.localsearch.decider.acceptor.greatdeluge

## Class GreatDelugeAcceptor<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter<Solution_>
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor<Solution_>
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.greatdeluge.GreatDelugeAcceptor<Solution_>

- All Implemented Interfaces:
    `EventListener`, `Acceptor<Solution_>`, `LocalSearchPhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`

      public class GreatDelugeAcceptor<Solution_>
      extends AbstractAcceptor<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GreatDelugeAcceptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Score` | `getInitialWaterLevel()` |
    `Double` | `getWaterLevelIncrementRatio()` |
    `Score` | `getWaterLevelIncrementScore()` |
    `boolean` | `isAccepted​(LocalSearchMoveScope moveScope)` |
    `void` | `phaseEnded​(LocalSearchPhaseScope<Solution_> phaseScope)` |
    `void` | `phaseStarted​(LocalSearchPhaseScope<Solution_> phaseScope)` |
    `void` | `setInitialWaterLevel​(Score initialLevel)` |
    `void` | `setWaterLevelIncrementRatio​(Double waterLevelIncrementRatio)` |
    `void` | `setWaterLevelIncrementScore​(Score waterLevelIncrementScore)` |
    `void` | `stepEnded​(LocalSearchStepScope<Solution_> stepScope)` |

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### GreatDelugeAcceptor

          public GreatDelugeAcceptor()

  - ### Method Detail

    - #### getWaterLevelIncrementScore

          public Score getWaterLevelIncrementScore()

    - #### setWaterLevelIncrementScore

          public void setWaterLevelIncrementScore​(Score waterLevelIncrementScore)

    - #### getInitialWaterLevel

          public Score getInitialWaterLevel()

    - #### setInitialWaterLevel

          public void setInitialWaterLevel​(Score initialLevel)

    - #### getWaterLevelIncrementRatio

          public Double getWaterLevelIncrementRatio()

    - #### setWaterLevelIncrementRatio

          public void setWaterLevelIncrementRatio​(Double waterLevelIncrementRatio)

    - #### phaseStarted

          public void phaseStarted​(LocalSearchPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseStarted` in interface `LocalSearchPhaseLifecycleListener<Solution_>`
      Overrides:
        `phaseStarted` in class `LocalSearchPhaseLifecycleListenerAdapter<Solution_>`

    - #### phaseEnded

          public void phaseEnded​(LocalSearchPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseEnded` in interface `LocalSearchPhaseLifecycleListener<Solution_>`
      Overrides:
        `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter<Solution_>`

    - #### isAccepted

          public boolean isAccepted​(LocalSearchMoveScope moveScope)

      Parameters:
        `moveScope` - not null
      Returns:
        true if accepted

    - #### stepEnded

          public void stepEnded​(LocalSearchStepScope<Solution_> stepScope)

      Specified by:
        `stepEnded` in interface `LocalSearchPhaseLifecycleListener<Solution_>`
      Overrides:
        `stepEnded` in class `LocalSearchPhaseLifecycleListenerAdapter<Solution_>`